org.eclnt.jsfserver.util.fixgridpersistence

## Class GridInfo

- java.lang.Object
- - org.eclnt.jsfserver.util.fixgridpersistence.GridInfo

- All Implemented Interfaces:
    java.io.Serializable

      public class GridInfo
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GridInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<GridColumnSequenceInfo>` | `getColumnSequenceInfos()`
    `java.util.List<GridColumnSortInfo>` | `getColumnSortInfos()`
    `java.util.List<GridColumnWidthInfo>` | `getColumnWidthInfos()`
    `void` | `setColumnSequenceInfos(java.util.List<GridColumnSequenceInfo> columnSequenceInfos)`
    `void` | `setColumnSortInfos(java.util.List<GridColumnSortInfo> columnSortInfos)`
    `void` | `setColumnWidthInfos(java.util.List<GridColumnWidthInfo> columnWidthInfos)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GridInfo

          public GridInfo()

  - ### Method Detail

    - #### getColumnSequenceInfos

          public java.util.List<GridColumnSequenceInfo> getColumnSequenceInfos()

    - #### setColumnSequenceInfos

          public void setColumnSequenceInfos(java.util.List<GridColumnSequenceInfo> columnSequenceInfos)

    - #### getColumnWidthInfos

          public java.util.List<GridColumnWidthInfo> getColumnWidthInfos()

    - #### setColumnWidthInfos

          public void setColumnWidthInfos(java.util.List<GridColumnWidthInfo> columnWidthInfos)

    - #### getColumnSortInfos

          public java.util.List<GridColumnSortInfo> getColumnSortInfos()

    - #### setColumnSortInfos

          public void setColumnSortInfos(java.util.List<GridColumnSortInfo> columnSortInfos)

Copyright © CaptainCasa Gmbh. All Rights Reserved.